Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.provider.key
Class RC4KeyGenerator

    java.lang.Object
      |
      +--xjava.security.KeyGenerator
            |
            +--cryptix.provider.key.RawKeyGenerator
                  |
                  +--cryptix.provider.key.RC4KeyGenerator

public class RC4KeyGenerator
extends RawKeyGenerator

A variable-length key generator for RC4.

This implementation allows keys to have a length of between 40 and 1024 bits. The default length is 128 bits.

References:

1. Andrew Roos <andrewr@vironix.co.za> (Vironix Software Laboratories), A Class of Weak Keys in the RC4 Stream Cipher, Preliminary draft posted to sci.crypt, 4th November 1997.

Copyright © 1997 Systemics Ltd on behalf of the Cryptix Development Team.
All rights reserved.

$Revision: 1.2 $

Since:
  Cryptix 2.2.2
Author:
  David Hopwood

Constructor Summary
`RC4KeyGenerator()`

Method Summary
`protected boolean` | `isWeak(byte[] key)` Returns true iff key is a weak RC4 key, as described in Andrew Roos' paper.

Methods inherited from class cryptix.provider.key.RawKeyGenerator
`engineGenerateKey, generateKey, generateKey, getDefaultKeyLength, getMaximumKeyLength, getMinimumKeyLength, initialize, initialize, isValidKeyLength, isWeakAllowed, setWeakAllowed`

Methods inherited from class xjava.security.KeyGenerator
`clone, engineGetParameter, engineSetParameter, getAlgorithm, getAlgorithms, getAlgorithms, getInstance, getInstance, getParameter, setParameter, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RC4KeyGenerator

    public RC4KeyGenerator()

Method Detail

### isWeak

    protected boolean isWeak(byte[] key)

  Returns true iff key is a weak RC4 key, as described in Andrew Roos' paper.
  Overrides:
    isWeak in class RawKeyGenerator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.